Subject: bug#34901: closed (Re: bug#34901: CUA cut/copy no longer work in keyboard macros (emacs25))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Mar 2019 09:26:02 +0000

Your bug report

#34901: CUA cut/copy no longer work in keyboard macros (emacs25)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34901: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34901
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34901: CUA cut/copy no longer work in keyboard macros (emacs25)
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 20 Mar 2019 11:24:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: Ben Bridgwater <[email-masked]>,  [email-masked]
> Date: Mon, 18 Mar 2019 13:06:45 -0400
> 
> > Yes.  Turns out CUA is another package that relied on undocumented
> > kludges to avoid recording the same key twice, when keys are pushed
> > back onto unread-command-events.  Aargh!
> >
> > Stefan, what do you think about the patch below?  Other that that, I
> > don't see what we could do with this stuff.
> 
> I wouldn't say it looks "good", but I can't think of a better
> approach, thanks.

OK, pushed to the master branch.

Unfortunately, it's too late for getting this into Emacs 26.2, so for
now the solution will have to wait for Emacs 27.  Too bad no one paid
attention to this since Emacs 25.1 was released.

Thanks.

Subject: CUA cut/copy no longer work in keyboard macros (emacs25)
From: Ben Bridgwater <[email-masked]>
To: [email-masked]
Date: Sun, 17 Mar 2019 21:04:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just upgraded from emacs24 (Ubuntu 16.04) to emacs25 (Ubuntu 18.04), and
have found that the CUA cut/copy (ctrl-x, ctrl-v) bindings no longer work
in keyboard macros. Attempting to use them now results in an "keyboard
macro terminated by a command ringing the bell" error on macro playback.

The issue seems to be the CUA bindings since the underlying cut/copy
functions (kill-region, kill-ring-save) still work correctly in macros when
bound to other keys.

The CUA paste function (ctrl-v) is unaffected by the bug and continues to
work in macros.

Ben